------------------------------------------------------------------------------------
--Name:  	Anniversary2
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-03-30
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(104, 50)
CppScriptMgr:ShakeScrEffect(1)
local Player_1 = CppScriptMgr:AddSimplePlayer(31390, 101, 50, "AntiqueStatue", 0, 0)
Player_1:SetZoomPercent(180)
local player_0 = CppScriptMgr:QueryHero()
player_0:SetDir(5)
player_0:SetPos(100, 52)
CppScriptMgr:WaitMilSec(660)
player_0:SetAction(190)
CppScriptMgr:WaitMilSec(1330)
local effect_0 = CppScriptMgr:AddEffect("TSM_LXZF_sf", 101, 50, 33, 1, 1, 1)
local Effect_1 = CppScriptMgr:AddEffect("turtle", 101, 50, 33, 1, 1, 1)
Effect_1:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(740)
CppScriptMgr:ShakeScrEffect(1)
CppScriptMgr:WaitMilSec(60)
local effect_1 = CppScriptMgr:AddEffect("twz_qxz_xg", 101, 50, 33, 1, 1, 1)
effect_1:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(1000)
local effect_2 = CppScriptMgr:AddEffect("dot_cha_lig", 101, 50, 33, 1, 1, 1)
local Effect_3 = CppScriptMgr:AddEffect("zf2-e233", 101, 50, 33, 1, 1, 1)
Effect_3:Scale(1.5, 1.5, 1.5)
CppScriptMgr:WaitMilSec(1200)
local Effect_2 = CppScriptMgr:AddEffect("zf2-e019", 100, 52, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(2000)